# -*- coding: utf-8 -*-
"""This module contains the controller classes of the application."""

# symbols which are imported by "from hoyataxa.controllers import *"
__all__ = ['Root']

# standard library imports
# import logging
import datetime

# third-party imports
from turbogears import controllers, expose, flash

# project specific imports
# from hoyataxa import model
# from hoyataxa import json


# log = logging.getLogger("hoyataxa.controllers")
from model import Taxonomy

class Root(controllers.RootController):
    """The root controller of the application."""

    @expose(template="hoyataxa.templates.welcome")
    def index(self):
        """"Show the welcome page."""
        # log.debug("Happy TurboGears Controller Responding For Duty")
        return dict(title="All your taxa are belong to us!")

    @expose(template="hoyataxa.templates.taxa")
    def taxa(self, taxid):
        """"Show the welcome page."""
        t = Taxonomy.byTaxid(int(taxid))
        title = "Taxonomy: "+taxid
        return dict(title=title,taxa=t)

